---
search:
  tags:
    - Channels V2
    - POST
seo:
  description: >-
    Bulk-creates content entries for a… Reference for the POST
    /api/v2/{team_slug}/{app_slug}/channels/{channel_id}/content endpoint in the
    Management API v2.
sidebar:
  label: Create channel content
  badge: POST
title: Create channel content
type: openapi-operation
---
Bulk-creates content entries for a channel. Successful entities are returned in data; per-item failures in errors.

`POST /api/v2/{team_slug}/{app_slug}/channels/{channel_id}/content`

**Request body** (`application/json`, required)

- `content` (CreateChannelContentItem[], required)

Request body example:

```json
{
  "content": [
    {
      "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
      "parent_type": "string",
      "field_type": "string",
      "value": "string",
      "translations": [
        {
          "language_code": "string",
          "value": "string"
        }
      ],
      "relationships": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "preview": [
        "string"
      ]
    }
  ]
}
```

**Responses**

- `201` — Created (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 201:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
      "parent_type": "string",
      "field_type": "string",
      "value": "string",
      "translations": [
        {
          "language_code": "string",
          "value": "string"
        }
      ],
      "relationships": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "preview": [
        "string"
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "errors": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
      "message": "string"
    }
  ]
}
```
